Package org.apache.velocity.util

# Interface TemplateBoolean

public interface TemplateBoolean
Any object in the context which implements TemplateBoolean will use the getAsBoolean() method for #if( $ref ) calls.

Since:
  2.0
Author:
  Nathan Bubna

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getAsBoolean()`
Returns a boolean that can be used in a template.

## Method Details

### getAsBoolean

boolean getAsBoolean()
Returns a boolean that can be used in a template.

Returns:
  A boolean that can be used in a template.